from Numeric import Float, sqrt
from numpy import zeros
from config import g
from scipy import sin, cos, tan, arcsin, arccos, arctan, pi

h_0 = 5.0
h_1 = 10.0
L=2000.0
N=200

cell_len=L/N
points=zeros(N+1, Float)
for i in range(N+1):
    points[i]=i*cell_len
    #points[i] = i*cell_len - 0.5*L



#delt = 0.0
friction_slope = 0.0#0.05 #tan(delta) #0.05 # NOTE THAT friction_slope must less than bed_slope
#thet = pi/36.0
bed_slope = 0.002 #tan(theta) #0.1      # bottom slope, positive if it is increasing bottom.
thet = arctan(bed_slope)

F2 = g*cos(thet)*cos(thet)*friction_slope
c0 = sqrt(g*h_0)   # sound speed
m = -1.0*g*bed_slope + F2   # auxiliary variable
